<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class ExtAoFQRRepLink extends AbsMail
{
    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Consultation N°@1@ - @2@'),
            $this->listeData['NAO'],
            $this->listeData['OBJETAO']
        );
    }

    public function getMessage(): string
    {
        return implode("\r\n", [
            $this->trad->t('Bonjour,'),
            '',
            $this->trad->t('Des réponses aux questions posées sur cette consultation sont disponibles.'),
            '',
            $this->listeData['URL'],
            '',
            $this->trad->t('Cordialement,'),
            '',
            $this->listeData['NOM_ACH']
        ]);
    }
}
